#-----------------------------------------------------------------------------
%define		dist		.ok
%define		shortname	%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	libdbusmenu
Version		:	16.04.0
Release		:	17.2.0.rel%{?dist}
Summary		:	Shared functions for Ayatana indicators

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL-3.0-only
URL		:	https://launchpad.net/libdbusmenu/

Source0		:	%{name}-%{version}.tar.gz
Patch0		:	%{name}-%{version}-00-no-werror.patch

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	dbus-glib-devel
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk3+
BuildRequires	:	gtk2+
BuildRequires	:	json-glib
BuildRequires	:	make
BuildRequires	:	vala


#-----------------------------------------------------------------------------
%description
all Ayatana indicators are likely to use.
This is a small library designed to make
sharing and displaying of menu structures
over DBus simple and easy to use. It works
for both QT and GTK+ and makes building
menus simple.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README AUTHORS
%license COPYING COPYING.2.1 COPYING-GPL3
%{_libdir}/%{name}-glib.so.*
%{_libdir}/girepository-1.0/Dbusmenu-0.4.typelib

#=============================================================================
%package		devel
Summary		:	Development tools for the dbusmenu libraries

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package contains tools used by the
%{name} package, the Ayatana indicators system.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-glib-0.4/%{name}-glib/*.h
%{_libdir}/%{name}-glib.so
%{_libdir}/pkgconfig/dbusmenu-glib-0.4.pc
%{_datadir}/gir-1.0/Dbusmenu-0.4.gir
%{_datadir}/vala/vapi/Dbusmenu-0.4.vapi

#=============================================================================
%package		tools
Summary		:	Development tools for the dbusmenu libraries

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		tools
This package contains tools used by the
%{name} package, the Ayatana indicators system.

#-----------------------------------------------------------------------------
%files			tools
%defattr(-,root,root,-)
%{_libexecdir}/dbusmenu-testapp
%{_datadir}/%{name}/json/test-gtk-label.json

#=============================================================================
%package		gtk3
Summary		:	%{summary} - GTK+3 version

#-----------------------------------------------------------------------------
Requires	:	%{name}-gtk3	= %{version}-%{release}
#-----------------------------------------------------------------------------
%description		gtk3
Shared libraries for the %{name}-gtk3 library.
 
#-----------------------------------------------------------------------------
%files			gtk3
%defattr(-,root,root,-)
%{_libdir}/%{name}-gtk3.so.4*
%{_libdir}/girepository-1.0/DbusmenuGtk3-0.4.typelib
 
#=============================================================================
%package		gtk3-devel
Summary		:	Development files for %{name}-gtk3

#-----------------------------------------------------------------------------
Requires	:	%{name}-gtk3	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		gtk3-devel
The %{name}-gtk3-devel package contains
libraries and header files for developing
applications that use %{name}-gtk3.

#-----------------------------------------------------------------------------
%files			gtk3-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-gtk3-0.4/%{name}-gtk/*.h
%{_libdir}/%{name}-gtk3.so
%{_libdir}/pkgconfig/dbusmenu-gtk3-0.4.pc
%{_datadir}/gir-1.0/DbusmenuGtk3-0.4.gir
%{_datadir}/vala/vapi/DbusmenuGtk3-0.4.vapi
 
#=============================================================================
%package		gtk2
Summary		:	%{summary} - GTK+2 version

#-----------------------------------------------------------------------------
Requires	:	%{name}-gtk2	= %{version}-%{release}
#-----------------------------------------------------------------------------
%description		gtk2
Shared libraries for the %{name}-gtk2 library.
 
#-----------------------------------------------------------------------------
%files			gtk2
%defattr(-,root,root,-)
%{_libdir}/%{name}-gtk.so.4*
%{_libdir}/girepository-1.0/DbusmenuGtk-0.4.typelib
 

#=============================================================================
%package		gtk2-devel
Summary		:	Development files for %{name}-gtk2

#-----------------------------------------------------------------------------
Requires	:	%{name}-gtk2	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		gtk2-devel
The %{name}-gtk2-devel package contains
libraries and header files for developing
applications that use %{name}-gtk2.

#-----------------------------------------------------------------------------
%files			gtk2-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-gtk-0.4/%{name}-gtk/*.h
%{_libdir}/%{name}-gtk.so
%{_libdir}/pkgconfig/dbusmenu-gtk-0.4.pc
%{_datadir}/gir-1.0/DbusmenuGtk-0.4.gir
%{_datadir}/vala/vapi/DbusmenuGtk-0.4.vapi

#=============================================================================
%package		jsonloader
Summary		:	Test lib development files

#-----------------------------------------------------------------------------
Requires	:	%{name}-devel		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		jsonloader
Test library for %{name}.

#-----------------------------------------------------------------------------
%files			jsonloader
%defattr(-,root,root,-)
%{_libdir}/%{name}-jsonloader.so.*

#=============================================================================
%package		jsonloader-devel
Summary		:	Test lib development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}			= %{version}-%{release}
Requires	:	%{name}-jsonloader	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		jsonloader-devel
The %{name}-jsonloader-devel package contains
libraries and header files for developing
applications that use %{name}-jsonloader

#-----------------------------------------------------------------------------
%files			jsonloader-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-glib-0.4/%{name}-jsonloader/*.h
%{_libdir}/%{name}-jsonloader.so
%{_libdir}/pkgconfig/dbusmenu-jsonloader-0.4.pc

#=============================================================================
%package		doc
Summary		:	Document files for %{name}

#-----------------------------------------------------------------------------

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description		doc
The %{name}-doc package contains documents for
developing applications that use %{name}.

#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)
%{_docdir}/%{name}-%{version}/README.dbusmenu-bench
%{_docdir}/%{name}-%{version}/examples/glib-server-nomenu.c
%{_datadir}/gtk-doc/html/%{name}-glib/index.sgml
%{_datadir}/gtk-doc/html/%{name}-glib/style.css
%{_datadir}/gtk-doc/html/%{name}-glib/%{name}-glib.devhelp2
%{_datadir}/gtk-doc/html/%{name}-glib/*.html
%{_datadir}/gtk-doc/html/%{name}-glib/*.png
%{_datadir}/gtk-doc/html/%{name}-gtk/index.sgml
%{_datadir}/gtk-doc/html/%{name}-gtk/style.css
%{_datadir}/gtk-doc/html/%{name}-gtk/%{name}-gtk.devhelp2
%{_datadir}/gtk-doc/html/%{name}-gtk/*.html
%{_datadir}/gtk-doc/html/%{name}-gtk/*.png

#=============================================================================
%prep
%setup -q -n %{name}-%{version} -c

pushd %{name}-%{version}
%patch -P 0 -p1
autoreconf -fiv
popd

echo JMPDBG $PWD
cp -a %{name}-%{version}/{README,COPYING,COPYING.2.1}	\
      %{name}-%{version}/{COPYING-GPL3,AUTHORS,ChangeLog}\
      .

cp -a %{name}-%{version} %{name}-gtk3-%{version}

#-----------------------------------------------------------------------------
#building application
%build

build()

{
./configure						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%version	\
	--disable-static				\
	--disable-dumper				\
	--enable-introspection				\
	$*						\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}
}

pushd %{name}-gtk3-%{version}
sed -i -e 's@^#!.*python$@#!/usr/bin/python2@' tools/dbusmenu-bench
build --with-gtk=3
popd

pushd %{name}-%{version}
sed -i -e 's@^#!.*python$@#!/usr/bin/python2@' tools/dbusmenu-bench
build --with-gtk=2
popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

pushd %{name}-gtk3-%{version}
%{__make}						\
	DESTDIR=%{buildroot}				\
	install
popd

pushd %{name}-%{version}
%{__make}						\
	DESTDIR=%{buildroot}				\
	install
popd

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

# Let rpmbuild pick the documents in the files section
rm -fr %{buildroot}%{_docdir}/%{name}

# Remove benchmarking tool written in python2
%{__rm} %{buildroot}/%{_libexecdir}/dbusmenu-bench


#-----------------------------------------------------------------------------
%changelog
